<script setup>
import { onMounted } from 'vue';
import { gsap } from 'gsap';
const tl = gsap.timeline({ repeat: -1, yoyo: true });

onMounted(() => {
  gsap.fromTo('.star', { opacity: 0 }, { opacity: 1, duration: 2 });
  tl.to('.star', { y: '-50px', duration: 1 });
  tl.to('.star', { y: '0px', duration: 1 });
});
</script>

<template>
  <div class="stars">
    <span class="star star--one">✨</span>
    <span class="star star--two">✨</span>
    <span class="star star--three">✨</span>
    <span class="star star--four">✨</span>
    <span class="star star--five">✨</span>
    <span class="star star--six">✨</span>
    <span class="star star--seven">✨</span>
  </div>
</template>

<style scoped lang="scss">
.stars {

  .star {
    position: absolute;
    font-size: 2rem;
    z-index: 2;
    &--one {
      bottom: 55%;
      left: 15%;
    }
  
    &--two {
      bottom: 35%;
      right: 15%;
    }
  
    &--three {
      bottom: 58%;
      right: 20%;
    }
  
    &--four {
      bottom: 40%;
      left: 10%;
    }
  
    &--five {
      bottom: 30%;
      left: 30%;
    }
  
    &--six {
      bottom: 47%;
      left: 62%;
    }
  
    &--seven {
      bottom: 50%;
      left: 40%;
    }
  }
}
</style>
